/* This file is part of nanolisp, a very small Lisp system.

Copyright (C) 2007  Luca Saiu

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>. */

#ifndef NANOLISP_GC_H_
#define NANOLISP_GC_H_

/* Allocate a buffer in the garbage-collected heap. The content of
   the returned buffer is undefined: */
void* nanolisp_make_buffer(const size_t size_in_bytes);

#endif // #ifndef NANOLISP_GC_H_
